/**
 * 用户相关接口
 * @description:
 * @author: Max-y
 * @time: 2020/4/13 11:52 AM
 *
 */
import { get, post, put } from "@/request/http";
import { APPID } from "@/config/index";

/*手机号密码登录*/
export function loginPhone(data) {
  const url = process.env.VUE_APP_BASE_API2 + "/auth/login/account";
  return post(url, data);
}

/*手机号验证码登录*/
export function loginVerificationCode(data) {
  const url = process.env.VUE_APP_BASE_API2 + "/auth/login/VerificationCode";
  return post(url, data);
}

/*注册新用户*/
export function RegisterPhone(data) {
  const url = process.env.VUE_APP_BASE_API2 + "/auth/accounts";
  return post(url, data);
}

/*获取用户信息*/
export function getUserInfo(data = {}) {
  const url = process.env.VUE_APP_BASE_API2 + "/organize/users";
  return get(url, data);
}

/*openid*/
export function organizeUser(UserId, data = {}) {
  const url =
    process.env.VUE_APP_BASE_API2 + "/organize/organization/user/" + UserId;
  return get(url, data);
}

/*获取验证码*/
export function getVerificationCode(data) {
  const url = process.env.VUE_APP_BASE_API2 + "/auth/accounts/verificationcode";
  return post(url, data);
}

/*给token续命*/
export function keepTokenTime(data) {
  const url = process.env.VUE_APP_BASE_API2 + "/auth/access/tokenTime";
  return post(url, data);
}

/*通过appId换取应用code*/
export function getAppCode() {
  const url = process.env.VUE_APP_BASE_API2 + "/auth/applications/register";
  return post(url, { appId: APPID });
}

/*通过手机号修改密码*/
export function forgetPwFun(data) {
  const url = process.env.VUE_APP_BASE_API2 + "/auth/access/passWord";
  return put(url, data);
}

/*根据当前的URL 获取所属平台信息*/
export function platformsDomain(hosturl, data = {}) {
  const url =
    process.env.VUE_APP_BASE_API2 + "/auth/platforms/domain?domain=" + hosturl;
  return get(url, data);
}

export function Organizations(id, data = {}) {
  const url = process.env.VUE_APP_BASE_API2 + "/organize/organizations/" + id;
  return get(url, data);
}

/*验证*/
export function cloudToolsVitalit(data) {
  const url = process.env.VUE_APP_BASE_API1 + "/cloud/tools/vitalit";
  return post(url, data);
}
