import {get, post, postblob, deletes } from "@/request/http";
import store from "@/store/index";

/* 多功能查询运力方的需要拼单列表,支持分页 */
export function getWaitPutOrders(data) {
    const url = process.env.VUE_APP_BASE_API9 + `/order/orders`;
    return get(url, data);
}

/* 人工拼单后，多个订单合并成运单，加入调度中心 */
export function becomeWaybillDispatch(data) {
    const url = process.env.VUE_APP_BASE_API9 + "/order/dispatch";
    return post(url, data);
}

/* 人工拼单后，多个订单合并成运单，加入自动派单的工作流 */
export function autoDispatch(data) {
    const url = process.env.VUE_APP_BASE_API9 + "/order/autoDispatch";
    return post(url, data);
}

/* 多条件查询订单列表 */
export function getThisorderInfo(data) {
    const url = store.getters["system/BrandUrl"] + "/xoado/order/select";
    return post(url, data);
}

/* 根据司机ID查询司机信息 */
export function selectDriverInfo(driverId) {
    const url = process.env.VUE_APP_BASE_API6 + `/driver/queryById/${driverId}`;
    return get(url, {});
}

/* 用户操作日志接口信息 */
export function userLog(data) {
    const url = store.getters["system/BrandUrl"] + "/operate/log";
    return post(url, data);
}

/* 用户操作日志接口信息 */
export function TransportUserLog(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/operate/log";
    return post(url, data);
}

/* 查找设备历史轨迹 */
export function deviceTrajectory(data) {
    const url = process.env.VUE_APP_BASE_API8 + "/common/no/device/trace";
    return post(url, data);
}

/* 查询该运力方区域下的产品 */
export function getAllAreaProducts(data) {
    const url = store.getters["system/BrandUrl"] + "/xoadoTripProduct/query";
    return post(url, data);
}

/* 查询派单池数据 */
export function getNeedPutOrderList(transportId, platformId) {
    const url =
        process.env.VUE_APP_BASE_API6 +
        `/dispatchCenter?transportId=${transportId}&platformId=${platformId}`;
    return post(url, {});
}

/* 根据运单号查运单详情 */
export function fromWaybillIdSelectInfo(waybillId) {
    const url =
        process.env.VUE_APP_BASE_API6 + "/new/waybill/obj?waybillId=" + waybillId;
    return get(url, {});
}

/* 查询运单推荐司机列表 */
export function getWaybillIdDriverList(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/driver/more/function/listen";
    return post(url, data);
}
/* 查询运单推荐司机列表(地图模式) */
export function getWaybillIdDriverListOnMap(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/driver/more/function/listenV2";
    return post(url, data);
}
/* 查询运单推荐司机列表(地图模式) */
export function getWaybillIdDriverListOnMaps(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/driver/more/function/listV2";
    return post(url, data);
}
/* 查询司机正在运行的运单 */
export function getDriverMoreWaybill(driverId) {
    const url =
        process.env.VUE_APP_BASE_API6 +
        `/driver/underwayOrder?driverId=${driverId}`;
    return get(url, {});
}

/* 运单改派司机 */
export function sendASingle(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/dispatchCenter/changeDispatch";
    return post(url, data);
}

/* 订单改派司机 */
export function ordeChangeDispatchr(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/dispatchCenter/orderChange";
    return post(url, data);
}

/* 订单取消 */
export function ordeCancel(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/dispatchCenter/orderCancel";
    return deletes(url, {}, data);
}

/* 多条件查询运单列表 */
export function getAllWaybillList(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/new/waybill/select";
    return post(url, data);
}

/* 导出运单列表 */
export function exportWaybillData(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/new/waybill/export";
    return postblob(url, data);
}

/* 已开通区域查询 */
export function getOpenedArea(transportId) {
    const url =
        process.env.VUE_APP_BASE_API6 +
        `/xoadoTranAreaOpen/indexquery?transportId=${transportId}`;
    return post(url, {});
}

/* 自定义列表数据存储 */
export function setOrderListData(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/new/waybill/saveRedisList";
    return post(url, data);
}

/* 获取自定义列表数据存储 */
export function getOrderListData(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/new/waybill/selectListKey";
    return get(url, data);
}

/* 将运单改派 */
export function sendOrder(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/dispatchCenter/putUp/cancel";
    return post(url, data);
}

/* 多条件查询订单列表 */
export function getAllOrderList(data) {
    const url = store.getters["system/BrandUrl"] + "/xoado/order/query";
    return post(url, data);
}

/* 查询平台所有运力 */
export function getAllTransport(data) {
    const url = store.getters["system/BrandUrl"] + "/transport";
    return get(url, data);
}

/* 多条件导出订单列表 */
export function exportAllOrderList(data) {
    const url = store.getters["system/BrandUrl"] + "/xoado/order/export";
    return postblob(url, data);
}

/* 订单信息修改 */
export function orderInfoUpdate(data) {
    const url =
        store.getters["system/BrandUrl"] + "/xoado/order/dispatchUpdateOrder";
    return post(url, data);
}

/* 日志上报 */
export function orderLog(data) {
    const url = store.getters["system/BrandUrl"] + "/operate/log/add";
    return post(url, data);
}

/* 查价 */
export function orderGetPrice(data) {
    const url = store.getters["system/BrandUrl"] + "/xoado/order/getPrice";
    return post(url, data);
}

/* 创建订单 */
export function createOrdersForHand(data) {
    const url = store.getters["system/BrandUrl"] + "/xoado/order/create";
    return post(url, data);
}

/* 查询该运力方区域下的车辆 */
export function getAllAreaCar(data) {
    const url = process.env.VUE_APP_BASE_API6 + "/vehicle/record";
    return post(url, data);
}

/* 系统配置 查询当前运力方假日的品牌 */
export function systemTransport(organizeId) {
    const url = process.env.VUE_APP_BASE_API6 + `/xoado/channel?organizeId=${organizeId}`;
    return get(url, {});
}

/* 司机派单 */
export function driverSendSingle(data) {
    const url = process.env.VUE_APP_BASE_API9 + `/order/dispatchV2`;
    return post(url, data);
}

/* 运单取消 */
export function cancelWaybills(data) {
    const url = process.env.VUE_APP_BASE_API6 + `/dispatchCenter/cancelWaybill`;
    return post(url, data);
}

/* 产品渠道 业务类型 */
export function productLinaType(data) {
    const url = process.env.VUE_APP_BASE_API6 + `/orderGroup/productLina`;
    return post(url, data);
}

/* 订单组 */
export function orderPool(data) {
    const url = process.env.VUE_APP_BASE_API6 + `/orderGroup/selectOrderGroup`;
    return post(url, data);
}

/* 代派订单 */
export function orderGeneration(data) {
    const url = process.env.VUE_APP_BASE_API6 + `/orderUnIfyReceipt/select/view`;
    return post(url, data);
}

/* 存储订单组 */
export function addGroupList(data) {
    const url = process.env.VUE_APP_BASE_API6 + `/orderGroup/addList`;
    return post(url, data);
}

/* 存储订单组 */
export function addGroupLeftList(data) {
    const url = process.env.VUE_APP_BASE_API6 + `/orderGroup/deleteOrderGroup`;
    return post(url, data);
}

/* 存储订单组 */
export function addOrderGroupStatus(data) {
    const url = process.env.VUE_APP_BASE_API6 + `/orderGroup/updataList`;
    return post(url, data);
}
