import { get, post, put } from "@/request/http";
import store from "@/store/index";
/* 用过组织ID查询当前组织是否为运力方（返回201则证明当前用户还不是运力） */
export function queryTransportInfo(organizeId) {
  const url = process.env.VUE_APP_BASE_API6 + `/part/seloectById/${organizeId}`;
  return get(url, {});
}

/* 成为运力方 */
export function becomeTransports(data) {
  const url = process.env.VUE_APP_BASE_API6 + "/part/add";
  return post(url, data);
}

/* 条件运力的开通区域 */
export function getOpenAreaList(data) {
  const url = store.getters["system/BrandUrl"] + "/transport/openArea";
  return get(url, data);
}

/* 查询运力的开通区域 */
export function getTransportOpenAreaList(transportId) {
  const url =
    process.env.VUE_APP_BASE_API6 +
    `/xoadoTranAreaOpen/indexquery?transportId=${transportId}`;
  return post(url, {});
}

/* 查询消息设置 */
export function getRemindMes(data) {
  const url = process.env.VUE_APP_BASE_API6 + "/dispatchconfig/remindMes";
  return post(url, data);
}

/* 修改消息设置 */
export function setRemindMes(data) {
  const url = process.env.VUE_APP_BASE_API6 + "/dispatchconfig/updateList";
  return put(url, data);
}

/* 查询挂单设置 */
export function getDispatchConfigList(data) {
  const url = process.env.VUE_APP_BASE_API6 + "/dispatchconfig/DispatchConfig";
  return post(url, data);
}

/* 修改挂单设置 */
export function updateDispatchConfigList(data) {
  const url =
    process.env.VUE_APP_BASE_API6 + "/dispatchconfig/updateDispatchConfig";
  return put(url, data);
}

/* 查询当前运力的所有起终点 */
export function searchAllOpenArea(transportId) {
  const url =
    process.env.VUE_APP_BASE_API6 +
    `/transprotPoduct/selectTransportOpenProCode?transportId=${transportId}&runType=2`;
  return post(url, {});
}

/* 获取车型列表 */
export function getXoadodAllCarTYpeList(data = {}) {
  const url = process.env.VUE_APP_BASE_API7 + "/carType";
  return get(url, data);
}

/* 获取符合条件的司机列表 */
export function getAllDriverList(data = {}) {
  const url = process.env.VUE_APP_BASE_API6 + "/driver/more/function/listV2";
  return post(url, data);
}

/* 将单个订单添加到运单中 */
export function AddOrderToWaybill(data = {}) {
  const url = process.env.VUE_APP_BASE_API6 + "/dispatchCenter/orderToWaybill";
  return post(url, data);
}

/* 将单个订单添加到运单中 */
export function OrderDetailsSelect(data = {}) {
  const url = process.env.VUE_APP_BASE_API6 + "/details/detailsSelect";
  return post(url, data);
}
