/**
 * 格式话事件,'
 * @param date
 * @param pattern yyyy-MM-dd hh:mm:ss'
 * @returns {*}
 */
export function formatDate(date, pattern = "yyyy-MM-dd hh:mm:ss") {
  // 如果不设置，默认为当前时间
  if (!date) date = new Date();
  if (typeof date === "string" || typeof date === "number") {
    if (date == "") date = new Date();
    else {
      date = Number(date);
      date = new Date(date);
    }
  }
  /* 补00 */
  var toFixedWidth = function(value) {
    var result = 100 + value;
    return result.toString().substring(1);
  };

  /* 配置 */
  var options = {
    regeExp: /(yyyy|M+|d+|h+|m+|s+|ee+|ws?|p)/g,
    months: [
      "January",
      "February",
      "March",
      "April",
      "May",
      "June",
      "July",
      "August",
      "September",
      "October",
      "November",
      "December"
    ],
    weeks: ["周日", "周一", "周二", "周三", "周四", "周五", "周六"]
  };

  /* 时间切换 */
  var swithHours = function(hours) {
    return hours < 12 ? "AM" : "PM";
  };

  /* 配置值 */
  var pattrnValue = {
    yyyy: date.getFullYear(), // 年份
    MM: toFixedWidth(date.getMonth() + 1), // 月份
    dd: toFixedWidth(date.getDate()), // 日期
    hh: toFixedWidth(date.getHours()), // 小时
    mm: toFixedWidth(date.getMinutes()), // 分钟
    ss: toFixedWidth(date.getSeconds()), // 秒
    ee: options.months[date.getMonth()], // 月份名称
    ws: options.weeks[date.getDay()], // 星期名称
    M: date.getMonth() + 1,
    d: date.getDate(),
    h: date.getHours(),
    m: date.getMinutes(),
    s: date.getSeconds(),
    p: swithHours(date.getHours())
  };

  return pattern.replace(options.regeExp, function() {
    return pattrnValue[arguments[0]];
  });
}

/**
 * 格式化时间 今天/明天/后天 hh:mm
 * @param date
 * @returns {string}
 */
export function formatDateType(date) {
  date = Number(date);
  let Date_ = new Date();
  let targetDate = new Date(date);
  // 补零
  let toFixedWidth = function(value) {
    var result = 100 + value;
    return result.toString().substring(1);
  };
  let targetValue = {
    yyyy: targetDate.getFullYear(), // 年份
    MM: toFixedWidth(targetDate.getMonth() + 1), // 月份
    dd: targetDate.getDate(), // 日期
    hh: toFixedWidth(targetDate.getHours()), // 小时
    mm: toFixedWidth(targetDate.getMinutes()) // 分钟
  };
  let nowValue = {
    yyyy: Date_.getFullYear(), // 年份
    MM: toFixedWidth(Date_.getMonth() + 1), // 月份
    dd: Date_.getDate(), // 日期
    hh: toFixedWidth(Date_.getHours()), // 小时
    mm: toFixedWidth(Date_.getMinutes()) // 分钟
  };
  let Day = `${targetValue.MM}/${toFixedWidth(targetValue.dd)}`;
  if (targetValue.yyyy === nowValue.yyyy && targetValue.MM === nowValue.MM) {
    if (targetValue.dd === nowValue.dd) Day = "今天";
    if (targetValue.dd === nowValue.dd + 1) Day = "明天";
    if (targetValue.dd === nowValue.dd + 2) Day = "后天";
  }
  return `${Day} ${targetValue.hh}:${targetValue.mm}`;
}
