/**
 * @author yh
 * @description 调度中心的状态管理
 */
import { fromWaybillIdSelectInfo } from "@/api/orders";

const state = {
  waybillId: null,
  waybillInfo: {}
};

const getters = {
  waybillId: state => state.waybillId,
  waybillInfo: state => state.waybillInfo
};

const mutations = {
  SET_WaybillId(state, waybillId) {
    state.waybillId = waybillId;
  },
  SET_WaybillInfo(state, waybillInfo) {
    state.waybillInfo = waybillInfo;
  }
};

const actions = {
  async update_waybillId({ commit }, waybillId) {
    commit("SET_WaybillId", waybillId);
  },
  async waybillIdInfo({ state }) {
    let { data } = await fromWaybillIdSelectInfo(state.waybillId);
    console.info(data);
    return data;
    // commit("SET_WaybillInfo", data);
  }
};

export default { namespaced: true, state, getters, mutations, actions };
