/**
 * @author yh
 * @description 系统消息状态
 */
const state = {
  SEND_MSG: 0, // 智能派单超时消息
  ORDER_UNUSUAL_MSG: 0, // 司机运单异常消息
  DRIVER_CENCEL_MSG: 0, // 司机运单取消消息
  SYS_SUSPEND_ORDER_MSG: 0, // 系统挂单消息
  USER_ORDER_CENCEL_MSG: 0, // 乘客订单取消消息
  DISPATCH_SUCCESS_MSG: 0, // 调度派单成功消息
  ORDER_COMPLAIN_MSG: 0, // 订单投诉消息
  NEW_WAYBILL_MSG: 0 // 新运单待派单
};

const getters = {
  SEND_MSG: state => state.SEND_MSG,
  ORDER_UNUSUAL_MSG: state => state.ORDER_UNUSUAL_MSG,
  DRIVER_CENCEL_MSG: state => state.DRIVER_CENCEL_MSG,
  SYS_SUSPEND_ORDER_MSG: state => state.SYS_SUSPEND_ORDER_MSG,
  USER_ORDER_CENCEL_MSG: state => state.USER_ORDER_CENCEL_MSG,
  DISPATCH_SUCCESS_MSG: state => state.DISPATCH_SUCCESS_MSG,
  ORDER_COMPLAIN_MSG: state => state.ORDER_COMPLAIN_MSG,
  NEW_WAYBILL_MSG: state => state.NEW_WAYBILL_MSG
};

const mutations = {
  SET_SEND_MSG(state, payload) {
    state.SEND_MSG = payload;
  },
  SET_ORDER_UNUSUAL_MSG(state, payload) {
    state.ORDER_UNUSUAL_MSG = payload;
  },
  SET_DRIVER_CENCEL_MSG(state, payload) {
    state.DRIVER_CENCEL_MSG = payload;
  },
  SET_SYS_SUSPEND_ORDER_MSG(state, payload) {
    state.SYS_SUSPEND_ORDER_MSG = payload;
  },
  SET_USER_ORDER_CENCEL_MSG(state, payload) {
    state.USER_ORDER_CENCEL_MSG = payload;
  },
  SET_DISPATCH_SUCCESS_MSG(state, payload) {
    state.DISPATCH_SUCCESS_MSG = payload;
  },
  SET_ORDER_COMPLAIN_MSG(state, payload) {
    state.ORDER_COMPLAIN_MSG = payload;
  },
  SET_NEW_WAYBILL_MSG(state, payload) {
    state.NEW_WAYBILL_MSG = payload;
  }
};

const actions = {};

export default { namespaced: true, state, getters, mutations, actions };
