import { routes, currencyRoutes } from "@/router/index";

const state = {
  routes: [],
  addRoutes: []
};

const getters = {
  routes: state => state.routes,
  addRoutes: state => state.addRoutes
};

const mutations = {
  SET_ROUTES(state, payload) {
    state.routes = [...currencyRoutes, ...payload];
    state.addRoutes = payload;
  }
};

const actions = {
  getAsyncRoutes({ commit }) {
    return new Promise(resolve => {
      commit("SET_ROUTES", routes);
      resolve(routes);
    });
  }
};

export default {
  namespaced: true,
  state,
  getters,
  mutations,
  actions
};
