/**
 * @Author: YH—Max
 * @Date: 2020/11/27 5:56 下午
 * @Description:
 *
 * */

const state = {
  BrandUrl: sessionStorage.getItem("BrandUrl")
    ? sessionStorage.getItem("BrandUrl")
    : process.env.VUE_APP_BASE_API5,
  HostUrl: sessionStorage.getItem("HostUrl")
    ? sessionStorage.getItem("HostUrl")
    : "hgcx.99zcx.com",
  BrandList: "[]",
  currentBrand: "{}"
};

const getters = {
  BrandUrl: state => state.BrandUrl,
  HostUrl: state => state.HostUrl,
  BrandList: state => JSON.parse(state.BrandList),
  currentBrand: state => JSON.parse(state.currentBrand)
};

const mutations = {
  SET_BRANDURL(state, url) {
    state.BrandUrl = String(url);
    sessionStorage.setItem("BrandUrl", url);
  },
  SET_HostUrl(state, url) {
    state.HostUrl = String(url);
    sessionStorage.setItem("HostUrl", url);
  },
  SET_BrandList(state, list) {
    state.BrandList = list;
    sessionStorage.setItem("BrandList", list);
  },
  SET_CurrentBrand(state, list) {
    state.currentBrand = list;
    sessionStorage.setItem("currentBrand", list);
  }
};

const actions = {
  updateBrand({ commit }, url) {
    commit("SET_BRANDURL", url);
  },
  updateHostUrl({ commit }, url) {
    commit("SET_HostUrl", url);
  },
  updateBrandList({ commit }, list) {
    commit("SET_BrandList", list);
  },
  updateCurrentBrand({ commit }, list) {
    commit("SET_CurrentBrand", list);
  }
};

export default {
  namespaced: true,
  state,
  mutations,
  getters,
  actions
};
