/**
 * Created by mac on 2019/11/6.
 */
const path = require("path");
const resolve = function(dir) {
  return path.join(__dirname, dir);
};
const {
  publicPath,
  assetsDir,
  outputDir,
  lintOnSave,
  title
} = require("./src/config/index");
process.env.VUE_APP_TITLE = title || "小多智运";
module.exports = {
  publicPath,
  outputDir,
  assetsDir,
  lintOnSave,
  productionSourceMap: false, // 是否在构建生产包时生成sourcdeMap
  chainWebpack: config => {
    config.resolve.alias
      .set("@", resolve("src"))
      .set("views", resolve("src/views"));
    config.optimization.runtimeChunk("single");
  },
  devServer: {
    hot: true,
    open: true,
    // proxy: {
    //   '/route': {
    //     target: process.env.VUE_APP_BASE_API10,
    //     changeOrigin: true,
    //     secure: false,
    //     pathRewrite: {
    //       '^/route': '' // 规定请求地址以什么作为开头
    //     }
    //   }
    // }
  },
  css: {
    requireModuleExtension: true,
    sourceMap: true,
    loaderOptions: {
      scss: {
        /*sass-loader 8.0语法 */
        prependData: '@import "~@/styles/variables.scss";'

        /*sass-loader 9.0写法，感谢github用户 shaonialife*/
        // additionalData(content, loaderContext) {
        //   const { resourcePath, rootContext } = loaderContext;
        //   const relativePath = path.relative(rootContext, resourcePath);
        //   if (
        //     relativePath.replace(/\\/g, "/") !== "src/styles/variables.scss"
        //   ) {
        //     return '@import "~@/styles/variables.scss";' + content;
        //   }
        //   return content;
        // }
      }
    }
  }
};
